summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorLarry Knox <lrknox@hdfgroup.org>2015-10-16 04:14:57 (GMT)
committerLarry Knox <lrknox@hdfgroup.org>2015-10-16 04:14:57 (GMT)
commit0333b1ff03c9d2ed47604f48af1943a086ef307b (patch)
tree22c489ab25f5b14c09ad46b4caee28d28678a2ee /bin
parent57583a254a58924b3cbbf662ba988cf76d662a07 (diff)
downloadhdf5-0333b1ff03c9d2ed47604f48af1943a086ef307b.zip
hdf5-0333b1ff03c9d2ed47604f48af1943a086ef307b.tar.gz
hdf5-0333b1ff03c9d2ed47604f48af1943a086ef307b.tar.bz2
[svn-r28096] Updated packaging scripts and moved them from bin to bin/pkgscrpts.
Added shared library version numbers for each wrapper library file. Tested with h5committest.new.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/h5vers46
-rw-r--r--bin/pkgscrpts/build_and_package_hdf5_binaries.sh (renamed from bin/build_and_package_hdf5_binaries.sh)4
-rwxr-xr-xbin/pkgscrpts/h5rmflags169
-rwxr-xr-xbin/pkgscrpts/make1816TarFiles.pl (renamed from bin/make1814TarFiles.pl)103
-rwxr-xr-xbin/pkgscrpts/makeInternal1816README.pl (renamed from bin/makeInternal1814README.pl)24
-rwxr-xr-xbin/pkgscrpts/makeOuter1816README.pl (renamed from bin/makeOuter1814README.pl)42
-rw-r--r--bin/pkgscrpts/testbinaries.sh (renamed from bin/testh51814binary.sh)22
7 files changed, 289 insertions, 121 deletions
diff --git a/bin/h5vers b/bin/h5vers
index 2fe9105..169f89b 100755
--- a/bin/h5vers
+++ b/bin/h5vers
@@ -243,6 +243,14 @@ if ($set) {
@newver = @curver;
}
+# Note if the new version is for an official release.
+# if the fourth version field is empty or contains "patch",
+# "currently under development" shouldn't be printed as
+# part of the version string.
+my $is_official_release="";
+if ($newver[3] eq "" || $newver[3] =~ /patch\d/) {
+ $is_official_release="true";
+}
# Note if the version increased or decreased
my $version_increased="";
# Print a warning if the version got smaller (don't check annot field)
@@ -276,25 +284,29 @@ if ($LT_VERS && $version_increased) {
close FILE;
local($_) = $contentsy;
-
- my ($lt_revision) = /^LT_VERS_REVISION\s*=\s*(\d+)/m;
- my $new_lt_revision = $lt_revision+1;
- ($contentsy) =~ s/^(LT_VERS_REVISION\s*=\s*)\d+/$1$new_lt_revision/m;
-
- open FILE, ">$LT_VERS" or die "$LT_VERS: $!\n";
- print FILE $contentsy;
- close FILE;
+
+ # As of the HDF5 v1.8.16 release, h5vers should not increment
+ # the LT_VERS numbers, so the next 6 lines are commented out.
+ # A future version may copy the numbers to H5public.h, so this
+ # section is retained for future reference.
+ #my ($lt_revision) = /^LT_VERS_REVISION\s*=\s*(\d+)/m;
+ #my $new_lt_revision = $lt_revision+1;
+ #($contentsy) =~ s/^(LT_VERS_REVISION\s*=\s*)\d+/$1$new_lt_revision/m;
+
+ #open FILE, ">$LT_VERS" or die "$LT_VERS: $!\n";
+ #print FILE $contentsy;
+ #close FILE;
}
+
# Update the README.txt file
if ($README) {
open FILE, $README or die "$README: $!\n";
my @contents = <FILE>;
close FILE;
- $contents[0] = sprintf("HDF5 version %d.%d.%d%s %s",
+ $contents[0] = sprintf("HDF5 version %d.%d.%d%s\n",
@newver[0,1,2],
- $newver[3] eq "" ? "" : "-".$newver[3],
- "currently under development\n");
+ $is_official_release ? $newver[3] eq "" ? "" : "-".$newver[3] : "-".$newver[3]." currently under development");
open FILE, ">$README" or die "$README: $!\n";
print FILE @contents;
close FILE;
@@ -305,10 +317,9 @@ if ($RELEASE) {
open FILE, $RELEASE or die "$RELEASE: $!\n";
my @contents = <FILE>;
close FILE;
- $contents[0] = sprintf("HDF5 version %d.%d.%d%s %s",
+ $contents[0] = sprintf("HDF5 version %d.%d.%d%s\n",
@newver[0,1,2],
- $newver[3] eq "" ? "" : "-".$newver[3],
- "currently under development\n");
+ $is_official_release ? $newver[3] eq "" ? "" : "-".$newver[3] : "-".$newver[3]." currently under development");
open FILE, ">$RELEASE" or die "$RELEASE: $!\n";
print FILE @contents;
close FILE;
@@ -317,10 +328,9 @@ if ($RELEASE) {
# Update the c++/src/cpp_doc_config file
if ($CPP_DOC_CONFIG) {
my $data = read_file($CPP_DOC_CONFIG);
- my $version_string = sprintf("\"%d.%d.%d%s %s\"",
- @newver[0,1,2],
- $newver[3] eq "" ? "" : "-".$newver[3],
- "currently under development");
+ my $version_string = sprintf("\"%d.%d.%d%s\"",
+ @newver[0,1,2],
+ $is_official_release ? $newver[3] eq "" ? "" : "-".$newver[3] : "-".$newver[3]." currently under development");
$data =~ s/PROJECT_NUMBER\s*=.*/PROJECT_NUMBER = $version_string/;
diff --git a/bin/build_and_package_hdf5_binaries.sh b/bin/pkgscrpts/build_and_package_hdf5_binaries.sh
index b6f67b5..1f6699b 100644
--- a/bin/build_and_package_hdf5_binaries.sh
+++ b/bin/pkgscrpts/build_and_package_hdf5_binaries.sh
@@ -134,7 +134,7 @@ if [ -f $LOGFILE ]; then
fi
)
-#(cd $HOME/snapshots-bin-${sw}${SWVERSTR}; touch $REPOLOG; $CMD -nodiff -norepo -all) > $LOGFILE 2>&1
+(cd $HOME/snapshots-bin-${sw}${SWVERSTR}; touch $REPOLOG; $CMD -nodiff -norepo -all) > $LOGFILE 2>&1
# Verify test script did complete by checking the last lines
#(tail -4 $LOGFILE | grep -s "^*** finished .* in $HOSTNAME ***" > /dev/null 2>&1) ||
@@ -163,7 +163,7 @@ if [ $errcode -eq 0 ]; then
DEPLOYDIR=`grep "deploydir \/mnt" ./snaptest.cfg | sed "s/^.*deploydir //"`
echo "Make binary tar files from deployed files in $DEPLOYDIR in $BINARYDIR"
CURRENT_DIR=`pwd`
- cd current/bin;perl ./make1814TarFiles.pl $DEPLOYDIR $BINARYDIR
+ cd current/bin;perl ./make1816TarFiles.pl $DEPLOYDIR $BINARYDIR
cd $CURRENT_DIR
else
echo "errcode was $errcode; no tar files were created."
diff --git a/bin/pkgscrpts/h5rmflags b/bin/pkgscrpts/h5rmflags
new file mode 100755
index 0000000..8bb28d3
--- /dev/null
+++ b/bin/pkgscrpts/h5rmflags
@@ -0,0 +1,169 @@
+#! /bin/sh
+#
+# Copyright by The HDF Group.
+# Copyright by the Board of Trustees of the University of Illinois.
+# All rights reserved.
+#
+# This file is part of HDF5. The full HDF5 copyright notice, including
+# terms governing use, modification, and redistribution, is contained in
+# the files COPYING and Copyright.html. COPYING can be found at the root
+# of the source code distribution tree; Copyright.html can be found at the
+# root level of an installed copy of the electronic HDF5 document set and
+# is linked from the top-level documents page. It can also be found at
+# http://hdfgroup.org/HDF5/doc/Copyright.html. If you do not have
+# access to either file, you may request a copy from help@hdfgroup.org.
+#
+
+## This script wasextracted from h5redeploy to find hdf5 compile scripts and
+## remove build paths from hdf5 compile scripts. Script is intended to be
+## called from the make18xxTarFiles.pl script, so it could be stripped of options.
+## Actions are predetermined and written in this script instead of in a command
+## file.
+
+# Constants definitions
+EXIT_SUCCESS=0
+EXIT_FAILURE=1
+
+# Function definitions
+
+# show help page
+usage() {
+ # A wonderfully informative "usage" message.
+ echo "usage: $prog_name [OPTIONS]"
+ echo " OPTIONS:"
+ echo " -help|help This help message"
+ echo " -echo Show all the shell commands executed"
+ echo " -force No prompt, just do it"
+ echo " -prefix=DIR New directory to find HDF5 lib/ and include/"
+ echo " subdirectories [default: current directory]"
+ echo " -tool=TOOL Tool to update. TOOL must be in the current"
+ echo " directory and writable. [default: $h5tools]"
+ echo " -show Show the commands without executing them"
+ echo " "
+ exit $EXIT_FAILURE
+}
+
+# display variable values
+dump_vars(){
+ echo "====Showing all variable values====="
+ echo prefix=$prefix
+ echo h5tools=$h5tools
+ echo "====End Showing====="
+}
+
+# show actions to be taken
+show_action()
+{
+ echo "Update the following tools because they are now installed at a new directory"
+ for t in $foundtools; do
+ echo "${t}:"
+ echo " current setting=`sed -e '/^prefix=/s/prefix=//p' -e d $t`"
+ echo " new setting="\""$prefix"\"
+ done
+}
+
+
+# Report Error message
+ERROR()
+{
+ echo "***ERROR***"
+ echo "$1"
+}
+
+# Main
+#
+# Initialization
+h5tools="h5cc h5pcc h5fc h5pfc h5c++" # possible hdf5 tools
+foundtools= # tools found and will be modified
+fmode= # force mode, default is off
+prefix=`(cd ..;pwd)`
+
+# Parse options
+for arg in $@ ; do
+ case "$arg" in
+ -prefix=*)
+ prefix="`expr "$arg" : '-prefix=\(.*\)'`"
+ ;;
+ -echo)
+ set -x
+ ;;
+ -show)
+ SHOW="echo"
+ ;;
+ -tool=*)
+ h5tools="`expr "$arg" : '-tool=\(.*\)'`"
+ ;;
+ -help|help)
+ usage
+ ;;
+ -force)
+ fmode=yes
+ ;;
+ *)
+ ERROR "Unknown Option($arg)"
+ usage
+ exit $EXIT_FAILURE
+ ;;
+ esac
+done
+
+# Sanity checks
+#if [ ! -d $prefix ]; then
+# ERROR "prefix($prefix) is not an existing directory"
+# exit $EXIT_FAILURE
+#fi
+
+for x in $h5tools; do
+ if [ -f $x ]; then
+ foundtools="$foundtools $x"
+ if [ ! -w $x ]; then
+ ERROR "h5tool($x) is not writable"
+ exit $EXIT_FAILURE
+ fi
+ fi
+done
+
+if [ -z "$foundtools" ]; then
+ ERROR "found no tools to modify"
+ exit $EXIT_FAILURE
+fi
+
+# Show actions to be taken and get consent
+show_action
+
+
+# Update them
+if [ "$SHOW" = "echo" ]; then
+ echo "===Update commands are:===="
+# cat $CMDFILE
+ echo "===End Update commands====="
+fi
+
+for t in $foundtools; do
+ echo Update $t ...
+# COMMAND="ed - $t"
+# if [ "$SHOW" = "echo" ]; then
+# echo $COMMAND
+# else
+# $COMMAND < $CMDFILE
+ ed - $t << end
+ g/^H5BLD_CPPFLAGS/s/-I\/.*include //g
+ g/^H5BLD_LDFLAGS/s/-L\/.*lib //g
+ g/^H5BLD_LDFLAGS/s/-L\/.*lib64 //g
+ .
+ w
+end
+# fi
+done
+
+
+# Cleanup
+#rm -f $CMDFILE
+exit $EXIT_SUCCESS
+
+# Some possible future features to add
+# CCBASE - Name of the alternative C compiler
+# CLINKERBASE - Name of the alternative linker
+# LDFLAGS - Path to different libraries your application will link with
+# (this path should include the path to the zlib library)
+# LIBS - Libraries your application will link with
diff --git a/bin/make1814TarFiles.pl b/bin/pkgscrpts/make1816TarFiles.pl
index 9ff3b91..64cb7e0 100755
--- a/bin/make1814TarFiles.pl
+++ b/bin/pkgscrpts/make1816TarFiles.pl
@@ -4,54 +4,29 @@
use warnings;
use strict;
use Cwd;
-
-
-
-my %destsubdir = ('duck' => 'mac-lion-x86_64',
- 'emu' => 'solaris',
- 'emu64' => 'solaris64',
- 'freedom' => 'freebsd-amd64',
- 'jam' => 'linux',
- 'jamgnu482' => 'linux-gnu482',
- 'koala' => 'linux-x86_64',
- 'koalagnu482' => 'linux-x86_64-gnu482',
- 'loyalty' => 'freebsd',
- 'ostrich' => 'linux-ppc64',
- 'ostrichxl' => 'linux-ppc64xl',
- 'platypus' => 'linux-centos6-x86_64',
- 'hdf-duck' => 'mac-lion-x86_64',
- 'kite' => 'mac-mountainlion-x86_64',
- 'quail' => 'mac-mavericks-x86_64');
-#my %destsubdir = ('jam' => 'linux',
-# 'jamgnu481' => 'linux-gnu481',
-# 'koalagnu481' => 'linux-x86_64-gnu481',
-# 'koala' => 'linux-x86_64');
-
-
-my %szipdir = ('duck' => '/mnt/hdf/packages/szip/shared/encoder/macOS-10.8',
- 'duck-static' => '/mnt/hdf/packages/szip/static/encoder/mac-intel-x86_64',
- 'emu' => '/mnt/hdf/packages/szip/shared/encoder/SunOS-5.10',
+use File::Basename;
+
+my %destsubdir = ('emu' => 'sunos-5.11-sparc-32-sunc512',
+ 'emu64' => 'sunos-5.11-sparc-64-sunc512',
+ 'freedom' => 'freebsd-8.2-amd64-gcc461',
+ 'loyalty' => 'freebsd-8.2-i386-gcc461',
+ 'ostrich' => 'linux-el6-ppc64-gcc447',
+ 'ostrichxl' => 'linux-el6-ppc64-xl13.1',
+ 'platypus' => 'linux-centos6-x86_64-gcc447',
+ 'moohan' => 'linux-centos7-x86_64-gcc483',
+ 'kite' => 'osx-10.8-x86_64-clang5.1',
+ 'quail' => 'osx-10.9-x86_64-clang6.0',
+ 'osx1010test' => 'osx-10.10-x86_64-clang6.0');
+
+
+my %szipdir = ('emu' => '/mnt/hdf/packages/szip/shared/encoder/SunOS-5.10',
'emu-static' => '/mnt/hdf/packages/szip/static/encoder/SunOS-5.10',
'emu64' => '/mnt/hdf/packages/szip-PIC/shared/encoder/SunOS-5.11-64',
'emu64-static' => '/mnt/hdf/packages/szip-PIC/shared/encoder/SunOS-5.11-64',
'freedom' => '/mnt/hdf/packages/szip/shared/encoder/FreeBSD-64',
'freedom-static' => '/mnt/hdf/packages/szip/static/encoder/FreeBSD-64',
- 'hdf-duck' => '/mnt/hdf/packages/szip/shared/encoder/MacOS-10.8',
- 'hdf-duck-static' => '/mnt/hdf/packages/szip/static/encoder/mac-intel-x86_64',
- 'jam' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-gcc',
- 'jamgnu482' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-gcc',
- 'jam-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-gcc',
- 'jamgnu482-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-gcc',
'kite' => '/mnt/hdf/packages/szip/shared/encoder/MacOS-10.8',
'kite-static' => '/mnt/hdf/packages/szip-PIC/static/encoder/MacOS-10.8',
- 'koala' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-x86_64-gcc',
- 'koalagnu482' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-x86_64-gcc',
- 'koala-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-x86_64-gcc',
- 'koalagnu482-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-x86_64-gcc',
- 'jam-new' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-gcc',
- 'jam-new-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-gcc',
- 'koala-new' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-x86_64-gcc',
- 'koala-new-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-x86_64-gcc',
'loyalty' => '/mnt/hdf/packages/szip/shared/encoder/FreeBSD',
'loyalty-static' => '/mnt/hdf/packages/szip/static/encoder/FreeBSD',
'ostrich32' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-ppc64-gcc',
@@ -62,35 +37,19 @@ my %szipdir = ('duck' => '/mnt/hdf/packages/szip/shared/encoder/macOS-10.8',
'ostrichxl-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-ibmppc64-gcc',
'platypus' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-x86_64-gcc',
'platypus-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-x86_64-gcc',
+ 'moohan' => '/mnt/hdf/packages/szip/shared/encoder/Linux2.6-x86_64-gcc',
+ 'moohan-static' => '/mnt/hdf/packages/szip/static/encoder/Linux2.6-x86_64-gcc',
'quail' => '/mnt/hdf/packages/szip/shared/encoder/MacOS-10.8',
'quail-static' => '/mnt/hdf/packages/szip-PIC/static/encoder/MacOS-10.8');
-my %zlibdir = ('duck' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
- 'duck-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
- 'emu' => '/mnt/hdf/packages/zlib-125/shared/SunOS-5.10',
+my %zlibdir = ('emu' => '/mnt/hdf/packages/zlib-125/shared/SunOS-5.10',
'emu-static' => '/mnt/hdf/packages/zlib-125/static/SunOS-5.10',
'emu64' => '/mnt/hdf/packages/zlib-123-PIC/SunOS-5.11-64',
'emu64-static' => '/mnt/hdf/packages/zlib-123-PIC/SunOS-5.11-64',
- 'fred' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
- 'fred-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
'freedom' => '/mnt/hdf/packages/zlib-125/shared/FreeBSD-64',
'freedom-static' => '/mnt/hdf/packages/zlib-125/static/FreeBSD-64',
- 'hdf-duck' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
- 'hdf-duck-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
- 'jam' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-gcc',
- 'jamgnu482' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-gcc',
- 'jam-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-gcc',
- 'jamgnu482-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-gcc',
'kite' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
'kite-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
- 'koala' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-x86_64-gcc',
- 'koalagnu482' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-x86_64-gcc',
- 'koala-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-x86_64-gcc',
- 'koalagnu482-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-x86_64-gcc',
- 'jam-new' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-gcc',
- 'jam-new-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-gcc',
- 'koala-new' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-x86_64-gcc',
- 'koala-new-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-x86_64-gcc',
'loyalty' => '/mnt/hdf/packages/zlib-125/shared/FreeBSD',
'loyalty-static' => '/mnt/hdf/packages/zlib-125/static/FreeBSD',
'ostrich32' => '/mnt/hdf/packages/zlib-125/PIC/Linux2.6-ppc64-gcc',
@@ -101,8 +60,12 @@ my %zlibdir = ('duck' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
'ostrichxl-static' => '/mnt/hdf/packages/zlib-125/PIC/Linux2.6-ppc64-gcc-64',
'platypus' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-x86_64-gcc',
'platypus-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-x86_64-gcc',
+ 'moohan' => '/mnt/hdf/packages/zlib-125/shared/Linux2.6-x86_64-gcc',
+ 'moohan-static' => '/mnt/hdf/packages/zlib-125/static/Linux2.6-x86_64-gcc',
'quail' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
- 'quail-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64');
+ 'quail-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64',
+ 'osx1010test' => ' /mnt/hdf/packages/zlib-125/shared/mac-intel-x86_64',
+ 'osx1010test-static' => ' /mnt/hdf/packages/zlib-125/static/mac-intel-x86_64');
my $indirectory = ".";
$indirectory = shift;
@@ -113,6 +76,8 @@ $outdirectory = shift;
my $key = ".";
#$key = shift;
+my $scriptdirname = dirname(__FILE__);
+
unless (-d $outdirectory) {
print "$outdirectory not found. Create it or choose another one and try again.\n";
exit 1;
@@ -166,7 +131,7 @@ sub addzandszlibs {
print $output;
chdir $currentdir or die "Couldn't change directory back to $currentdir, $!";
- } elsif ($dir eq "duck" || $dir eq "quail" || $dir eq "kite") {
+ } elsif ($dir eq "osx1010test" || $dir eq "quail" || $dir eq "kite") {
#we've been using the static libraries for the macs - built with -fPIC
# $cmd = "cp $szdir/lib/libsz.a $indirectory/$dir/lib";
# $output = `$cmd`;
@@ -299,7 +264,7 @@ foreach $key (keys %destsubdir) {
}
else {
print "Make the Outer README file: ";
- $cmd = "perl ./makeOuter1814README.pl $indirectory/$key $outdirectory $directoryname";
+ $cmd = "perl ./makeOuter1816README.pl $indirectory/$key $outdirectory $directoryname";
print $cmd, "\n";
my $output = `$cmd`;
print $output;
@@ -314,16 +279,22 @@ foreach $key (keys %destsubdir) {
foreach my $dir (@dirnames) {
next if $dir eq "";
print "Make the Inner README files.\n";
- $cmd = "perl ./makeInternal1814README.pl $indirectory/$dir";
+ $cmd = "perl ./makeInternal1816README.pl $indirectory/$dir";
print $cmd, "\n";
$output = `$cmd`;
print $output;
print "Add the zlib and szip files for $dir.\n";
&addzandszlibs($dir, $indirectory);
my $currentdir = getcwd();
-
+
+ print "Remove all lib*.la files from $dir/lib*.\n";
+ $cmd = "rm $indirectory/$dir/lib*/lib*.la";
+ print $cmd, "\n";
+ $output = `$cmd`;
+ print $output;
+
chdir "$indirectory/$dir/bin" or die "Couldn't change directory to $indirectory/$dir/bin, $!";
- $cmd = "/home/lrknox/hdf/release_scripts/h5rmflags -force";
+ $cmd = "$scriptdirname/h5rmflags -force";
$output = `$cmd`;
print $output;
chdir $currentdir or die "Couldn't change directory back to $currentdir, $!";
diff --git a/bin/makeInternal1814README.pl b/bin/pkgscrpts/makeInternal1816README.pl
index 624f9cb..1171218 100755
--- a/bin/makeInternal1814README.pl
+++ b/bin/pkgscrpts/makeInternal1816README.pl
@@ -125,8 +125,6 @@ elsif ($hostname =~ /freedom/) {
$platformstring = "\nthat was compiled on: " . $hostnamestring[0]." " . $hostnamestring[2]." " . $hostnamestring[-1] . " ";
} elsif ($hostname =~ /emu/) {
$platformstring = "\nthat was compiled on: " . $hostnamestring[0]." " . $hostnamestring[2] . " " . $hostnamestring[-2] . " ";
-} elsif ($hostname =~ /fred/) {
- $platformstring = "\nthat was compiled on: " . $hostnamestring[0]." " . $hostnamestring[2] . " " . $hostnamestring[-1] . " ";
} else {
$_ = $hostnamestring[2];
my $pos = index $_, '-';
@@ -164,22 +162,28 @@ print OUTFILE "compilers:\n\n";
# Only the gcc compiler version is in libhdf5.settings, so for now I looked
# up the versions and hardcoded them here. We will put them in libhdf5.settings
# for the next release.
-if ($indirectory =~ /gnu482/) {
+if ($indirectory =~ /gcc482/) {
print OUTFILE "\tgcc, g++, and gfortran 4.8.2\n\n";
-} elsif ($hostname =~ /jam/ || $hostname =~ /koala/) {
- print OUTFILE "\tgcc, g++, and gfortran 4.1.2\n\n";
-} elsif ($hostname =~ /platypus/) {
+ print OUTFILE "\tWarning!\n";
+ print OUTFILE "\tIf the 4.8.2 version is not the system default, the scripts listed below\n";
+ print OUTFILE "\tfor compiling applications will not work unless either the environment\n";
+ print OUTFILE "\tis modified or the full path to the 4.8.2 compiler version is added to\n";
+ print OUTFILE "\tthe scripts in variables CCBASE, CCLINKERBASE for h5cc and corresponding\n";
+ print OUTFILE "\tvariables for other compilers.\n\n";
+} elsif ($hostname =~ /platypus/ || $hostname =~ /ostrich/) {
print OUTFILE "\tgcc, g++, and gfortran 4.4.7\n\n";
+} elsif ($hostname =~ /moohan/) {
+ print OUTFILE "\tgcc, g++, and gfortran 4.8.3\n\n";
} elsif ($hostname =~ /emu/) {
print OUTFILE "\tSun C and C++ 5.12, Sun Fortran 95 8.6\n\n";
} elsif ($hostname =~ /loyalty/ || $hostname =~ /freedom/) {
print OUTFILE "\tgcc, g++, and gfortran 4.6.1\n\n";
-} elsif ($hostname =~ /duck/) {
- print OUTFILE "\tApple clang/clang++ 3.0 from Xcode 4.6.1 and gfortran 4.8.2\n\n";
} elsif ($hostname =~ /kite/) {
- print OUTFILE "\tApple clang/clang++ 5.1 from Xcode 5.0.2 and gfortran 4.8.2\n\n";
+ print OUTFILE "\tApple clang/clang++ 5.1 from Xcode 5.1 and gfortran 4.8.2\n\n";
} elsif ($hostname =~ /quail/) {
- print OUTFILE "\tgcc, g++ 5.1 from Xcode 5.1 and gfortran 4.8.2\n\n";
+ print OUTFILE "\tgcc, g++ 6.0 from Xcode 6.2.0 and gfortran 4.9.2\n\n";
+} elsif ($hostname =~ /osx1010test/) {
+ print OUTFILE "\tgcc, g++ 6.0 from Xcode 7.0.0 and gfortran 4.9.2\n\n";
}
print OUTFILE $section2;
diff --git a/bin/makeOuter1814README.pl b/bin/pkgscrpts/makeOuter1816README.pl
index 6218ecc..0c03a4e 100755
--- a/bin/makeOuter1814README.pl
+++ b/bin/pkgscrpts/makeOuter1816README.pl
@@ -81,26 +81,22 @@ elsif ($indirectory =~ /platypus/) {
# $line1 = " 5-$version-$outsubdir-16API.tar.gz - Includes C, C++, F90 APIs (using\n";
$line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
$line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- $compilerstring = " gcc, g++, and gfortran 4.4.7)\n";
-}
-elsif ($indirectory =~ /jam/) {
-# $line1 = " 5-$version-$outsubdir-16API.tar.gz - Includes C, C++, F90 APIs (using\n";
- $line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
- $line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- if ($indirectory =~ /gnu482/) {
- $compilerstring = " gcc, g++, and gfortran 4.8.2)\n";
+ if ($indirectory =~ /gcc482/) {
+ my $cs1 = " gcc, g++, and gfortran 4.8.2)\n";
+ my $cs2 = "\tWarning!";
+ my $cs3 = "\tIf the 4.8.2 version is not the system default, the scripts listed provided for compiling";
+ my $cs4 = "\tapplications (h5cc, hf5c, etc.) will not work unless either the environment is modified";
+ my $cs5 = "\tor the full path to the 4.8.2 compiler versions is added to the scripts.\n\n";
+ $compilerstring = join "\n", $cs1, $cs2, $cs3, $cs4, $cs5;
} else {
- $compilerstring = " gcc, g++, and gfortran 4.1.2)\n";
+ $compilerstring = " gcc, g++, and gfortran 4.4.7)\n";
}
}
-elsif ($indirectory =~ /koala/) {
+elsif ($indirectory =~ /moohan/) {
# $line1 = " 5-$version-$outsubdir-16API.tar.gz - Includes C, C++, F90 APIs (using\n";
$line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
$line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- if ($indirectory =~ /gnu482/) {
- $compilerstring = " gcc, g++, and gfortran 4.8.2)\n";
- } else {
- $compilerstring = " gcc, g++, and gfortran 4.1.2)\n";
+ $compilerstring = " gcc, g++, and gfortran 4.8.3)\n";
}
}
elsif ($indirectory =~ /emu/) {
@@ -109,23 +105,23 @@ elsif ($indirectory =~ /emu/) {
$line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
$compilerstring = " Sun C and C++ 5.12, Sun Fortran 95 8.6)\n";
}
-elsif ($indirectory =~ /duck/) {
- $line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
- $line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- $compilerstring = " Apple clang/clang++ 3.0 from Xcode 4.6.1,
- gfortran 4.6.2)\n";
-}
elsif ($indirectory =~ /kite/) {
$line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
$line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- $compilerstring = " Apple clang/clang++ 5.0 from Xcode 5.0.2,
+ $compilerstring = " Apple clang/clang++ 5.1 from Xcode 5.1,
gfortran 4.8.2)\n";
}
elsif ($indirectory =~ /quail/) {
$line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
$line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
- $compilerstring = " Apple clang/clang++ 5.1 from Xcode 5.1,
- gfortran 4.8.2)\n";
+ $compilerstring = " Apple clang/clang++ 6.0 from Xcode 6.2,
+ gfortran 4.9.2)\n";
+}
+elsif ($indirectory =~ /osx1010test/) {
+ $line3 = " 5-$version-$outsubdir-static.tar.gz - Includes C, C++, F90 APIs (using\n";
+ $line5 = " 5-$version-$outsubdir-shared.tar.gz - Includes C, C++, F90 APIs (using\n";
+ $compilerstring = " Apple clang/clang++ 6.0 from Xcode 7.0,
+ gfortran 4.9.2)\n";
}
print OUTFILE $line3;
diff --git a/bin/testh51814binary.sh b/bin/pkgscrpts/testbinaries.sh
index 531ef8f..eb6279f 100644
--- a/bin/testh51814binary.sh
+++ b/bin/pkgscrpts/testbinaries.sh
@@ -19,6 +19,23 @@ EXAMPLE1LOG=""
EXAMPLE2LOG=""
FAILED_TEST_LOGS=""
+# for the 1.8.14 release, binaries built with gcc 4.8.2 need the compiler
+# directory added to the front of the PATH.
+USING_482=""
+USING_482=`ls | grep 482`
+if [ -n "$USING_482" ] ; then
+ PATH=/opt/gcc/4.8.2/bin:$PATH
+ export PATH
+ check_gfortran=`file /opt/gcc/4.8.2/bin/gfortran | grep 32-bit`
+ RETVAL=$?
+ if [ "$RETVAL" = "0" ]; then
+ LD_LIBRARY_PATH=/opt/gcc/4.8.2/lib
+ else
+ LD_LIBRARY_PATH=/opt/gcc/4.8.2/lib64
+ fi
+ export LD_LIBRARY_PATH
+fi
+
# step 0: Check presence of top-level README file
STEP0RESULT=0
README_FILE=""
@@ -305,9 +322,9 @@ for f in $FILE_LIST ; do
done
if [ -n "$IS_MAC" ]; then
# Currently no shared libraries for Fortran are produced on the mac-intel machines
- SHARED_LIBFILES="libhdf5_cpp.9.dylib libhdf5_hl_cpp.9.dylib libhdf5_hl.9.dylib libhdf5.9.dylib libsz.a"
+ SHARED_LIBFILES="libhdf5_cpp.11.dylib libhdf5_hl_cpp.10.dylib libhdf5_hl.10.dylib libhdf5.10.dylib libsz.a"
elif [ -n "$IS_PPC64" ]; then
- SHARED_LIBFILES="libhdf5_cpp.so.9.0.0 libhdf5_fortran.so.9.0.0 libhdf5_hl_cpp.so.9.0.0 libhdf5hl_fortran.so.9.0.0 libhdf5_hl.so.9.0.0 libhdf5.so.9.0.0"
+ SHARED_LIBFILES="libhdf5_cpp.so.11.0.0 libhdf5_fortran.so.10.0.2 libhdf5_hl_cpp.so.10.0.2 libhdf5hl_fortran.so.10.0.2 libhdf5_hl.so.10.0.2 libhdf5.so.10.1.0"
else
SHARED_LIBFILES="libhdf5_cpp.so.9.0.0 libhdf5_fortran.so.9.0.0 libhdf5_hl_cpp.so.9.0.0 libhdf5hl_fortran.so.9.0.0 libhdf5_hl.so.9.0.0 libhdf5.so.9.0.0 libsz.so.2.0.0 libz.so.1.2.5"
fi
@@ -428,6 +445,7 @@ for f in $FILE_LIST ; do
rm -rf hdf5-examples
fi
svn co https://svn.hdfgroup.uiuc.edu/hdf5-examples/trunk/ hdf5-examples > checkout.log
+
CC=$THIS_DIR/$EXTRACTED/bin/h5cc
export CC
FC=$THIS_DIR/$EXTRACTED/bin/h5fc